Qt 5.13 | Qt 3D | QML Types | FilterKey QML Type

Qt 5.13.2 Reference Documentation

# FilterKey QML Type

Stores filter keys and their values. More...

Import Statement: | import Qt3D.Render 2.13
Since: | Qt 5.5
Inherits: | Node

- List of all members, including inherited members

## Properties

- name : string
- value : variant

## Detailed Description

A FilterKey is a storage type for filter key and value pair. Filter keys are used by Technique and RenderPass to specify at which stage of rendering the technique or the render pass is used.

Note: FilterKey node can not be disabled.

## Property Documentation

name : string

Holds the name of the filter key.

value : variant

Holds the value of the filter key.